Mailinglist Archive: opensuse-updates (99 mails)

< Previous Next >
openSUSE-SU-2013:0256-1: moderate: libqt4: various SSL / certificate related fixes.
openSUSE Security Update: libqt4: various SSL / certificate related fixes.
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0256-1
Rating: moderate
References: #784197 #797006
Cross-References: CVE-2012-6093
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


libqt4 was updated to fix various issues regarding to SSL
and certificates.

* various more compromised SSL root and intermediate
certificates were blacklisted
* Fix wrong error reporting when using a binary
incompatible version of openSSL (bnc#797006,
CVE-2012-6093)

Bugfixes done:
* enable linked support for OpenSSL
* Add fix for qdbusviewer not matching args (bnc#784197)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-89

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

libqt4-4.8.1-2.12.1
libqt4-debuginfo-4.8.1-2.12.1
libqt4-debugsource-4.8.1-2.12.1
libqt4-devel-4.8.1-2.12.1
libqt4-devel-debuginfo-4.8.1-2.12.1
libqt4-devel-doc-4.8.1-2.12.2
libqt4-devel-doc-debuginfo-4.8.1-2.12.2
libqt4-devel-doc-debugsource-4.8.1-2.12.2
libqt4-private-headers-devel-4.8.1-2.12.1
libqt4-qt3support-4.8.1-2.12.1
libqt4-qt3support-debuginfo-4.8.1-2.12.1
libqt4-sql-4.8.1-2.12.1
libqt4-sql-debuginfo-4.8.1-2.12.1
libqt4-sql-mysql-4.8.1-2.12.1
libqt4-sql-mysql-debuginfo-4.8.1-2.12.1
libqt4-sql-plugins-debugsource-4.8.1-2.12.1
libqt4-sql-postgresql-4.8.1-2.12.1
libqt4-sql-postgresql-debuginfo-4.8.1-2.12.1
libqt4-sql-sqlite-4.8.1-2.12.1
libqt4-sql-sqlite-debuginfo-4.8.1-2.12.1
libqt4-sql-unixODBC-4.8.1-2.12.1
libqt4-sql-unixODBC-debuginfo-4.8.1-2.12.1
libqt4-x11-4.8.1-2.12.1
libqt4-x11-debuginfo-4.8.1-2.12.1
qt4-qtscript-0.2.0-2.5.1
qt4-qtscript-debuginfo-0.2.0-2.5.1
qt4-qtscript-doc-0.2.0-2.5.1
qt4-x11-tools-4.8.1-2.12.2
qt4-x11-tools-debuginfo-4.8.1-2.12.2

- openSUSE 12.2 (x86_64):

libqt4-32bit-4.8.1-2.12.1
libqt4-debuginfo-32bit-4.8.1-2.12.1
libqt4-qt3support-32bit-4.8.1-2.12.1
libqt4-qt3support-debuginfo-32bit-4.8.1-2.12.1
libqt4-sql-32bit-4.8.1-2.12.1
libqt4-sql-debuginfo-32bit-4.8.1-2.12.1
libqt4-sql-mysql-32bit-4.8.1-2.12.1
libqt4-sql-mysql-debuginfo-32bit-4.8.1-2.12.1
libqt4-sql-postgresql-32bit-4.8.1-2.12.1
libqt4-sql-postgresql-debuginfo-32bit-4.8.1-2.12.1
libqt4-sql-sqlite-32bit-4.8.1-2.12.1
libqt4-sql-sqlite-debuginfo-32bit-4.8.1-2.12.1
libqt4-sql-unixODBC-32bit-4.8.1-2.12.1
libqt4-sql-unixODBC-debuginfo-32bit-4.8.1-2.12.1
libqt4-x11-32bit-4.8.1-2.12.1
libqt4-x11-debuginfo-32bit-4.8.1-2.12.1

- openSUSE 12.2 (noarch):

libqt4-devel-doc-data-4.8.1-2.12.2


References:

http://support.novell.com/security/cve/CVE-2012-6093.html
https://bugzilla.novell.com/784197
https://bugzilla.novell.com/797006


< Previous Next >
This Thread
  • No further messages